# eric3.QScintilla.Lexer

Module implementing the lexer base class.

### Classes

Lexer |

### Functions

None

## Lexer

Subclass to implement the lexer base class.

### Derived from

None

### Methods

Lexer | Constructor
boxCommentStr | Public method to return the box comment strings.
canBlockComment | Public method to determine, whether the lexer language supports a block comment.
canBoxComment | Public method to determine, whether the lexer language supports a box comment.
canStreamComment | Public method to determine, whether the lexer language supports a stream comment.
commentStr | Public method to return the comment string.
streamCommentStr | Public method to return the stream comment strings.

### Lexer (Constructor)

Lexer()

Constructor

### Lexer.boxCommentStr

boxCommentStr()

Public method to return the box comment strings.

Returns:
  box comment strings (dictionary with three QStrings)

### Lexer.canBlockComment

canBlockComment()

Public method to determine, whether the lexer language supports a block comment.

Returns:
  flag (boolean)

### Lexer.canBoxComment

canBoxComment()

Public method to determine, whether the lexer language supports a box comment.

Returns:
  flag (boolean)

### Lexer.canStreamComment

canStreamComment()

Public method to determine, whether the lexer language supports a stream comment.

Returns:
  flag (boolean)

### Lexer.commentStr

commentStr()

Public method to return the comment string.

Returns:
  comment string (QString)

### Lexer.streamCommentStr

streamCommentStr()

Public method to return the stream comment strings.

Returns:
  stream comment strings (dictionary with two QStrings)

Up